Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlOutputText

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.html.HtmlOutputText

All Implemented Interfaces:
  java.util.EventListener, PartialStateHolder, StateHolder, TransientStateHolder, ValueHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

    public class HtmlOutputText

extends UIOutput

Renders the component value as text, optionally wrapping in a `span` element if I18N attributes, CSS styles or style classes are specified.

By default, the `rendererType` property must be set to "`javax.faces.Text`". This value can be changed by calling the `setRendererType()` method.

Nested Class Summary
`protected static class` | `HtmlOutputText.PropertyKeys`

Field Summary
`static java.lang.String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIOutput
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlOutputText()`

Method Summary
`java.lang.String` | `getDir()` Return the value of the `dir` property.
`java.lang.String` | `getLang()` Return the value of the `lang` property.
`java.lang.String` | `getStyle()` Return the value of the `style` property.
`java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
`java.lang.String` | `getTitle()` Return the value of the `title` property.
`boolean` | `isEscape()` Return the value of the `escape` property.
`void` | `setDir(java.lang.String dir)` Set the value of the `dir` property.
`void` | `setEscape(boolean escape)` Set the value of the `escape` property.
`void` | `setLang(java.lang.String lang)` Set the value of the `lang` property.
`void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
`void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
`void` | `setTitle(java.lang.String title)` Set the value of the `title` property.

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getFamily, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlOutputText

    public HtmlOutputText()

Method Detail

### getDir

    public java.lang.String getDir()

  Return the value of the `dir` property.

  Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

### setDir

    public void setDir(java.lang.String dir)

  Set the value of the `dir` property.

### isEscape

    public boolean isEscape()

  Return the value of the `escape` property.

  Contents: Flag indicating that characters that are sensitive in HTML and XML markup must be escaped. This flag is set to "true" by default.

### setEscape

    public void setEscape(boolean escape)

  Set the value of the `escape` property.

### getLang

    public java.lang.String getLang()

  Return the value of the `lang` property.

  Contents: Code describing the language used in the generated markup for this component.

### setLang

    public void setLang(java.lang.String lang)

  Set the value of the `lang` property.

### getStyle

    public java.lang.String getStyle()

  Return the value of the `style` property.

  Contents: CSS style(s) to be applied when this component is rendered.

### setStyle

    public void setStyle(java.lang.String style)

  Set the value of the `style` property.

### getStyleClass

    public java.lang.String getStyleClass()

  Return the value of the `styleClass` property.

  Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

  Set the value of the `styleClass` property.

### getTitle

    public java.lang.String getTitle()

  Return the value of the `title` property.

  Contents: Advisory title information about markup elements generated for this component.

### setTitle

    public void setTitle(java.lang.String title)

  Set the value of the `title` property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.